Option Explicit

Dim Language As Integer



Function Get_Language ()
    Get_Language = Language
End Function

Sub Hourglass_Off ()
    Screen.MousePointer = 0
End Sub

Sub Hourglass_On ()
    Screen.MousePointer = 11
End Sub

Sub Reposition_Keyboard ()

    Teclado.Left = Screen.Width - Teclado.Width - 30
    Teclado.Top = Screen.Height - Teclado.Height - 20

End Sub

Sub Set_Language (wLang As Integer, bEnableControls As Integer)
    
    Dim bValid As Integer

    bValid = True

    Hourglass_On

    Select Case wLang

        Case IN_ENGLISH

                Teclado.English.Checked = True
                Teclado.Spanish.Checked = False
                Teclado.Caption = "Keyboard (Teclado) Emulator"
                Teclado.Fin.Caption = "Off"
                Teclado.Funcion(FN_HOME).Caption = "Hom"
                Teclado.Funcion(FN_DEL).Caption = "Del"
                Teclado.Funcion(FN_END).Caption = "End"
                Teclado.Funcion(FN_PGUP).Caption = "Up"
                Teclado.Funcion(FN_PGDW).Caption = "Dn"
                Teclado.Funcion(FN_PAUSE).Caption = "Pause"
                Teclado.Especial(ESPECIAL_CAPS).Caption = "Caps"
                Teclado.Tecla(TECLA_ENE).Caption = "n"
                Teclado.Tecla(TECLA_ENE).Tag = "nN"

                KeyHelp.EnglishHelp.Visible = True
                KeyHelp.SpanishHelp.Visible = False

                If (Creditos2.Visible) Then
                    Creditos2.Hide
                    Credits2.Show
                End If

        Case IN_SPANISH

                Teclado.English.Checked = False
                Teclado.Spanish.Checked = True
                Teclado.Caption = "Emulador de Teclado"
                Teclado.Fin.Caption = "Fin"
                Teclado.Funcion(FN_HOME).Caption = "Ini"
                Teclado.Funcion(FN_DEL).Caption = "Sup"
                Teclado.Funcion(FN_END).Caption = "Fin"
                Teclado.Funcion(FN_PGUP).Caption = "RP"
                Teclado.Funcion(FN_PGDW).Caption = "AP"
                Teclado.Funcion(FN_PAUSE).Caption = "Pausa"
                Teclado.Especial(ESPECIAL_CAPS).Caption = "May"
                Teclado.Tecla(TECLA_ENE).Caption = ""
                Teclado.Tecla(TECLA_ENE).Tag = ""

                KeyHelp.EnglishHelp.Visible = False
                KeyHelp.SpanishHelp.Visible = True
                
                If (Credits2.Visible) Then
                    Credits2.Hide
                    Creditos2.Show
                End If

        Case Else
                bValid = False
                MsgBox "ERROR!"
    End Select

    If (bValid) Then
        Language = wLang
        If (bEnableControls) Then
            Teclado.Height = Teclado.Keyboard.Height + HEIGHT_EXTRA_WHEN_ACTIVE
            Teclado.Keyboard.Enabled = True
            Teclado.Keyboard.Visible = True
            Teclado.Help.Enabled = True
            Teclado.Credits.Enabled = True
            Teclado.Reloj.Interval = TIMER_FREQUENCY
            Reposition_Keyboard
        End If
    End If

    Hourglass_Off

End Sub

